[Version]
Signature	     = "$CHICAGO$"
DEVTYPE_UIU_INI_FILE = 1
INI_ORDER = 1

[UIUSetupCfg]
COMMAND_LINE = "-INI=SmAudio.ini, SmartAudio"

[FileCfg]
Setup64FileName = x64\Setup64.exe

[TASKS]
AddReg	  = AddRegConfig, AddRegControlPanel, AddRegUninstall, AddRegHotKeys, AddReg32
DelReg    = DelRegUserSettings
CopyFiles = CopyFilesApp, CopyFilesDll, CopyFilesUIU32

[TASKS.NTamd64]
AddReg	  = AddRegConfig, AddRegControlPanel, AddRegUninstall, AddRegHotKeys, AddReg64
DelReg    = DelRegUserSettings
CopyFiles = CopyFilesApp, CopyFilesDll, CopyFilesUIU64

[DelRegUserSettings]
HKCU, %SmartAudioSoftwReg%\DSRConfig, VistaBasicMultiStreamMode
HKCU, %SmartAudioSoftwReg%\Language,  LanguageID
HKLM, SOFTWARE\Conexant\SoundSource
HKCU, Software\Microsoft\Windows\CurrentVersion\Run, SmAudio

[AddRegConfig]
HKLM, %SmartAudioReg%\Version,     SmartAudioVersion, , %SmartAudioVersion%

HKLM, %SmartAudioReg%\AudioConfig, MicNoiseRed,      0x10001, 0x1
HKLM, %SmartAudioReg%\AudioConfig, EchoCancellation, 0x10001, 0x0
HKLM, %SmartAudioReg%\AudioConfig, SpeakerNR,        0x10001, 0x0
HKLM, %SmartAudioReg%\AudioConfig, BeamForming,      0x10001, 0x1
HKLM, %SmartAudioReg%\AudioConfig, DSR,              0x10001, 0x0
HKLM, %SmartAudioReg%\AudioConfig, PortA,            0x10001, 0x0
HKLM, %SmartAudioReg%\AudioConfig, PortB,            0x10001, 0x0
HKLM, %SmartAudioReg%\AudioConfig, PortC,            0x10001, 0x0
HKLM, %SmartAudioReg%\AudioConfig, CableInPortA,     0x10001, 0x0
HKLM, %SmartAudioReg%\AudioConfig, CableInPortB,     0x10001, 0x0
HKLM, %SmartAudioReg%\AudioConfig, CableInPortC,     0x10001, 0x0

HKLM, %SmartAudioReg%\EQ, Channel,    0x10001, 0x9
HKLM, %SmartAudioReg%\EQ, NumEUBands, 0x10001, 0x5

HKLM, %SmartAudioReg%\EQ\Band1, Flags1,    0x10001, 0x10100
HKLM, %SmartAudioReg%\EQ\Band1, Freq1,     0x10001, 0xc8
HKLM, %SmartAudioReg%\EQ\Band1, BWx1001,   0x10001, 0x64
HKLM, %SmartAudioReg%\EQ\Band1, Gainx1001, 0x10001, 0xfffff9df
HKLM, %SmartAudioReg%\EQ\Band1, Flags2,    0x10001, 0x10200
HKLM, %SmartAudioReg%\EQ\Band1, Freq2,     0x10001, 0xc8
HKLM, %SmartAudioReg%\EQ\Band1, BWx1002,   0x10001, 0x64
HKLM, %SmartAudioReg%\EQ\Band1, Gainx1002, 0x10001, 0xfffff9df

HKLM, %SmartAudioReg%\EQ\Band2, Flags1,    0x10001, 0x20100
HKLM, %SmartAudioReg%\EQ\Band2, Freq1,     0x10001, 0x258
HKLM, %SmartAudioReg%\EQ\Band2, BWx1001,   0x10001, 0x64
HKLM, %SmartAudioReg%\EQ\Band2, Gainx1001, 0x10001, 0xfffffb97
HKLM, %SmartAudioReg%\EQ\Band2, Flags2,    0x10001, 0x20200
HKLM, %SmartAudioReg%\EQ\Band2, Freq2,     0x10001, 0x258
HKLM, %SmartAudioReg%\EQ\Band2, BWx1002,   0x10001, 0x64
HKLM, %SmartAudioReg%\EQ\Band2, Gainx1002, 0x10001, 0xfffffb97

HKLM, %SmartAudioReg%\EQ\Band3, Flags1,    0x10001, 0x40100
HKLM, %SmartAudioReg%\EQ\Band3, Freq1,     0x10001, 0x3e8
HKLM, %SmartAudioReg%\EQ\Band3, BWx1001,   0x10001, 0x64
HKLM, %SmartAudioReg%\EQ\Band3, Gainx1001, 0x10001, 0xfffff786
HKLM, %SmartAudioReg%\EQ\Band3, Flags2,    0x10001, 0x40200
HKLM, %SmartAudioReg%\EQ\Band3, Freq2,     0x10001, 0x3e8
HKLM, %SmartAudioReg%\EQ\Band3, BWx1002,   0x10001, 0x64
HKLM, %SmartAudioReg%\EQ\Band3, Gainx1002, 0x10001, 0xfffff786

HKLM, %SmartAudioReg%\EQ\Band4, Flags1,    0x10001, 0x80100
HKLM, %SmartAudioReg%\EQ\Band4, Freq1,     0x10001, 0x1770
HKLM, %SmartAudioReg%\EQ\Band4, BWx1001,   0x10001, 0x64
HKLM, %SmartAudioReg%\EQ\Band4, Gainx1001, 0x10001, 0x0
HKLM, %SmartAudioReg%\EQ\Band4, Flags2,    0x10001, 0x80200
HKLM, %SmartAudioReg%\EQ\Band4, Freq2,     0x10001, 0x1770
HKLM, %SmartAudioReg%\EQ\Band4, BWx1002,   0x10001, 0x64
HKLM, %SmartAudioReg%\EQ\Band4, Gainx1002, 0x10001, 0x0

HKLM, %SmartAudioReg%\EQ\Band5, Flags1,    0x10001, 0x100100
HKLM, %SmartAudioReg%\EQ\Band5, Freq1,     0x10001, 0x3a98
HKLM, %SmartAudioReg%\EQ\Band5, BWx1001,   0x10001, 0x64
HKLM, %SmartAudioReg%\EQ\Band5, Gainx1001, 0x10001, 0xfffff6dd
HKLM, %SmartAudioReg%\EQ\Band5, Flags2,    0x10001, 0x100200
HKLM, %SmartAudioReg%\EQ\Band5, Freq2,     0x10001, 0x3a98
HKLM, %SmartAudioReg%\EQ\Band5, BWx1002,   0x10001, 0x64
HKLM, %SmartAudioReg%\EQ\Band5, Gainx1002, 0x10001, 0xfffff6dd

[AddRegControlPanel]
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\ControlPanel\NameSpace\%SmartAudioGUID%, , ,"SmartAudio"
HKCR, CLSID\%SmartAudioGUID%, , ,"SmartAudio"
HKCR, CLSID\%SmartAudioGUID%\DefaultIcon, , ,"%16422%\Conexant\SmartAudio\SmAudio.exe, -334"
HKCR, CLSID\%SmartAudioGUID%\Shell\Open\Command, , ,"%16422%\Conexant\SmartAudio\SmAudio.exe"

[AddRegUninstall]
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\SmartAudio, DisplayName,,    "SmartAudio"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\SmartAudio, DisplayVersion,, %SmartAudioVersion%
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\SmartAudio, VersionMajor,,   2
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\SmartAudio, VersionMinor,,   50
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\SmartAudio, Publisher,,      "Conexant Systems"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\SmartAudio, InstallLocation,,"%16422%\Conexant\SmartAudio"
HKCU, Software\Conexant

[AddReg32]
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\SmAudio.exe,  Path, ,"%16422%\Conexant\SmartAudio"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\SmartAudio,UninstallString,,"%16422%\Conexant\SmartAudio\SETUP.EXE -U -ISmartAudio -SM=SMAUDIO.EXE,1801"

[AddReg64]
HKLM, SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\App Paths\SmAudio.exe,  Path, ,"%16422%\Conexant\SmartAudio"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\SmartAudio,UninstallString,,"%16422%\Conexant\SmartAudio\SETUP64.EXE -U -ISmartAudio -SM=SMAUDIO.EXE,1801"

[AddRegHotKeys]
; the following are examples of key definitions. Undefined keys should be set to FF FF or not defined at all.
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,EQClass,              1, 47,E0	 ; <Home>		
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,EQDance,              1, 4F,E0	 ; <End>		
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,EQPop,                1, 48,E0	 ; <Up Arrow>		
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,EQRock,               1, 1C,E0	 ; <Enter> 		
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,EQNormal,             1, 35,E0	 ; </>		
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,EQDolby,              1, 50,E0	 ; <Down Arrow>		
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,EQTaskbarTimeToShow,  1, F4,01	 ; 500		
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,EQTaskbarTimeToLive,  1, D0,07	 ; 2000		
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,EQTaskbarTimeToHide,  1, F4,01	 ; 500		
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,EQTaskbarIncrement,   0x00010001, 00,01,00,00 ; 1		
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,EQTaskbarMargin,      1, 32,00	 ; 50		
;HKLM, SOFTWARE\Conexant\SoundSource\SmartAudioHotKeys,Dolby,                1, 23,E0	 


[SourceDisksNames]
1 = "SmartAudio Installation Disk"

[SourceDisksFiles]
SmAudio.exe = 1,\SmAudio
JackA.bmp   = 1,\SmAudio
JackB.bmp   = 1,\SmAudio
JackC.bmp   = 1,\SmAudio
Logo.bmp    = 1,\SmAudio
BlueStream.wav                 = 1,\SmAudio
CnxtMusic.WAV                  = 1,\SmAudio
CnxtVoice.WAV                  = 1,\SmAudio
;DolbyDigitalLiveMusic.wav      = 1,\SmAudio
;DolbyHeadphoneMusic.wav        = 1,\SmAudio
;DolbyVirtualSpeakerMusic.wav   = 1,\SmAudio
RedStream.wav                  = 1,\SmAudio
res040a.dll = 1,\SmAudio\dll
res040b.dll = 1,\SmAudio\dll
res040c.dll = 1,\SmAudio\dll
res040d.dll = 1,\SmAudio\dll
res040e.dll = 1,\SmAudio\dll
res041d.dll = 1,\SmAudio\dll
res041e.dll = 1,\SmAudio\dll
res041f.dll = 1,\SmAudio\dll
res0401.dll = 1,\SmAudio\dll
res0404.dll = 1,\SmAudio\dll
res0405.dll = 1,\SmAudio\dll
res0406.dll = 1,\SmAudio\dll
res0407.dll = 1,\SmAudio\dll
res0408.dll = 1,\SmAudio\dll
res0409.dll = 1,\SmAudio\dll
res0410.dll = 1,\SmAudio\dll
res0411.dll = 1,\SmAudio\dll
res0412.dll = 1,\SmAudio\dll
res0413.dll = 1,\SmAudio\dll
res0414.dll = 1,\SmAudio\dll
res0415.dll = 1,\SmAudio\dll
res0416.dll = 1,\SmAudio\dll
res0419.dll = 1,\SmAudio\dll
res0804.dll = 1,\SmAudio\dll
res0816.dll = 1,\SmAudio\dll
res041a.dll = 1,\SmAudio\dll
res0418.dll = 1,\SmAudio\dll
res041b.dll = 1,\SmAudio\dll
res0424.dll = 1,\SmAudio\dll
CXHDMI.dll  = 1,\SmAudio\dll
setup.exe   = 1
setup64.exe = 1,\x64

[DestinationDirs]
DefaultDestDir	= 16422,Conexant\SmartAudio
CopyFilesApp	= 16422,Conexant\SmartAudio
CopyFilesDll	= 16422,Conexant\SmartAudio\dll
CopyFilesUIU32	= 16422,Conexant\SmartAudio
CopyFilesUIU64	= 16422,Conexant\SmartAudio

[CopyFilesApp]
SmAudio.exe ,,,2
JackA.bmp   ,,,2
JackB.bmp   ,,,2
JackC.bmp   ,,,2
Logo.bmp    ,,,2
BlueStream.wav                 ,,,2
CnxtMusic.WAV                  ,,,2
CnxtVoice.WAV                  ,,,2
;DolbyDigitalLiveMusic.wav      ,,,2
;DolbyHeadphoneMusic.wav        ,,,2
;DolbyVirtualSpeakerMusic.wav   ,,,2
RedStream.wav                  ,,,2

[CopyFilesDll]
res040a.dll ,,,2
res040b.dll ,,,2
res040c.dll ,,,2
res040d.dll ,,,2
res040e.dll ,,,2
res041d.dll ,,,2
res041e.dll ,,,2
res041f.dll ,,,2
res0401.dll ,,,2
res0404.dll ,,,2
res0405.dll ,,,2
res0406.dll ,,,2
res0407.dll ,,,2
res0408.dll ,,,2
res0409.dll ,,,2
res0410.dll ,,,2
res0411.dll ,,,2
res0412.dll ,,,2
res0413.dll ,,,2
res0414.dll ,,,2
res0415.dll ,,,2
res0416.dll ,,,2
res0419.dll ,,,2
res0804.dll ,,,2
res0816.dll ,,,2
res041a.dll ,,,2
res0418.dll ,,,2
res041b.dll ,,,2
res0424.dll ,,,2
CXHDMI.dll  ,,,2 

[CopyFilesUIU32]
setup.exe   ,,,2

[CopyFilesUIU64]
setup64.exe ,,,2

[Strings]
SmartAudioGUID      = "{E621DCAF-82F7-4F6D-B563-B6A4004B2397}"
SmartAudioReg       = "SYSTEM\CurrentControlSet\Control\Conexant\SoundSource"
SmartAudioSoftwReg  = "Software\Conexant\SoundSource"
SmartAudioPath      = "Conexant\SmartAudio"
SmartAudioVersion   = "2.50.15.0"
